const pages = [
    {
        title: 'sol-compiler',
        filename: 'compiler/index.html',
        template: 'assets/index.html',
        chunks: ['compiler'],
        favicon: 'assets/favicons/compiler.ico',
        minify: true,
        meta: {
            description: 'Solidity compilation that just works',
            'og-title': { property: 'og:title', content: 'sol-compiler' },
            'og-description': { property: 'og:description', content: 'Solidity compilation that just works' },
            'og-type': { property: 'og:type', content: 'website' },
            'og-image': { property: 'og:image', content: '/images/og-compiler' },
            'twitter:site': '@0xproject',
            'twitter:image': '/images/og-compiler',
        },
    },
    {
        title: 'sol-coverage',
        filename: 'coverage/index.html',
        template: 'assets/index.html',
        chunks: ['coverage'],
        favicon: 'assets/favicons/cov.ico',
        minify: true,
        meta: {
            description: 'Solidity code coverage',
            'og-title': { property: 'og:title', content: 'sol-coverage' },
            'og-description': { property: 'og:description', content: 'Solidity code coverage' },
            'og-type': { property: 'og:type', content: 'website' },
            'og-image': { property: 'og:image', content: '/images/og-cov' },
            'twitter:site': '@0xproject',
            'twitter:image': '/images/og-cov',
        },
    },
    {
        title: 'sol-profiler',
        filename: 'profiler/index.html',
        template: 'assets/index.html',
        chunks: ['profiler'],
        favicon: 'assets/favicons/profiler.ico',
        minify: true,
        meta: {
            description: 'Gas profiling for Solidity',
            'og-title': { property: 'og:title', content: 'sol-profiler' },
            'og-description': { property: 'og:description', content: 'Gas profiling for Solidity' },
            'og-type': { property: 'og:type', content: 'website' },
            'og-image': { property: 'og:image', content: '/images/og-profiler' },
            'twitter:site': '@0xproject',
            'twitter:image': '/images/og-profiler',
        },
    },
    {
        title: 'sol-trace',
        filename: 'trace/index.html',
        template: 'assets/index.html',
        chunks: ['trace'],
        favicon: 'assets/favicons/trace.ico',
        minify: true,
        meta: {
            description: 'Human-readable stack traces',
            'og-title': { property: 'og:title', content: 'sol-trace' },
            'og-description': { property: 'og:description', content: 'Human-readable stack traces' },
            'og-type': { property: 'og:type', content: 'website' },
            'og-image': { property: 'og:image', content: '/images/og-trace' },
            'twitter:site': '@0xproject',
            'twitter:image': '/images/og-trace',
        },
    },
];

module.exports = pages;
